BDU:2019-03611: Уязвимость библиотеки libical почтового клиента Thunderbird, позволяющая нарушителю вызвать отказ в обслуживании

Описание уязвимости

Уязвимость библиотеки libical почтового клиента Thunderbird связана с переполнением буфера стека icalrecur_add_bydayrules при обработке определенных сообщений электронной почты. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании

Вендор

ООО «РусБИТех-Астра», Сообщество свободного программного обеспечения, Mozilla Corp., АО «Концерн ВНИИНС»

Наименование ПО

Версия ПО

  • 1.6 «Смоленск» (Astra Linux Special Edition)
  • 8.0 (Debian GNU/Linux)
  • 9.0 (Debian GNU/Linux)
  • до 60.7.1 (Thunderbird)
  • 1.0 (ОС ОН «Стрелец»)

Тип ПО

Операционная система, Прикладное ПО информационных систем

Операционные системы и аппаратные платформы

Тип ошибки

Выход операции за границы буфера в памяти

Идентификатор типа ошибки

Класс уязвимости

Уязвимость кода

Дата выявления

23.07.2019

Базовый вектор уязвимости

Уровень опасности уязвимости

Критический уровень опасности (базовая оценка CVSS 2.0 составляет 10)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,8)

Возможные меры по устранению уязвимости

Для thunderbird:

Обновление программного обеспечения до 1:60.8.0-1~deb8u1 или более поздней версии



Для Debian:

Обновление программного обеспечения(пакета thunderbird) до 1:60.8.0-1~deb8u1 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения(пакета thunderbird) до 1:60.8.0-1~deb8u1 или более поздней версии

Для ОС ОН «Стрелец»: https://strelets.net/patchi-i-obnovleniya-bezopasnosti#kumulyativnoe-obnovlenie

Статус уязвимости

Подтверждена производителем

Наличие эксплойта

Данные уточняются

Способ эксплуатации

  • Манипулирование структурами данных

Способ устранения

Обновление программного обеспечения

Информация об устранении

Уязвимость устранена

Идентификаторы других систем описаний уязвимостей

Прочая информация

Данные уточняются
Последние изменения